diff --git a/mutt/buffer.c b/mutt/buffer.c
index 0a703dfa0e..8d72edebcd 100644
--- a/mutt/buffer.c
+++ b/mutt/buffer.c
@@ -67,14 +67,12 @@ struct Buffer *mutt_buffer_new(void)
 /**
  * mutt_buffer_init - Initialise a new Buffer
  * @param b Buffer to initialise
- * @retval ptr Initialised Buffer
  *
  * This must not be called on a Buffer that already contains data.
  */
-struct Buffer *mutt_buffer_init(struct Buffer *b)
+void mutt_buffer_init(struct Buffer *b)
 {
   memset(b, 0, sizeof(struct Buffer));
-  return b;
 }
 
 /**
diff --git a/mutt/buffer.h b/mutt/buffer.h
index 5642b4d987..99ecfb0fe9 100644
--- a/mutt/buffer.h
+++ b/mutt/buffer.h
@@ -43,7 +43,7 @@ void           mutt_buffer_addch(struct Buffer *buf, char c);
 void           mutt_buffer_addstr(struct Buffer *buf, const char *s);
 void           mutt_buffer_free(struct Buffer **p);
 struct Buffer *mutt_buffer_from(char *seed);
-struct Buffer *mutt_buffer_init(struct Buffer *b);
+void           mutt_buffer_init(struct Buffer *b);
 struct Buffer *mutt_buffer_new(void);
 int            mutt_buffer_printf(struct Buffer *buf, const char *fmt, ...);
 void           mutt_buffer_reset(struct Buffer *b);
